/******************************************************************************
*	Name:		    		Funktionen.c									  *
*	Funktion:	    		Funktionen 										  *
*																			  *
*	Datum:		    		30.12.2007										  *
*	Autor:		    		Andreas 										  *	
******************************************************************************/
#include <math.h>


#define SDDkonstA  7.6
#define SDDkonstB  240.7



double SDDfkt(double SDDTemperatur)
{
	double SDD =0;
	double SDDx = 10.0;
	double SDDy = 0.5;

	 SDDy = ((SDDkonstA * SDDTemperatur) / (SDDkonstB + SDDTemperatur));
	 SDD = pow(SDDx, SDDy);
	 return SDD =  SDD  * 6.1078 ; 
}



double Dampfdruck(double DDTemperatur, double  relLuftfeuchte)
{
	double DDSDD = 0.0;
	double DD    = 0.0;

//	DD(r,T) = r/100 * SDD(T)
	DDSDD =	SDDfkt(DDTemperatur);
	return DD	= relLuftfeuchte / 100 * DDSDD ;
}




double vberechnung(double vTemperatur, double  VrelLuftfeuchte)
{
//v(r,T) = log10(DD(r,T)/6.1078)
	double v = 0.0;
 	v = (Dampfdruck(vTemperatur, VrelLuftfeuchte) / 6.1078);
	return v = log10(v);
}




double Taupunkt(double TauTemperatur, double TauRelLuftfeuchte)
{
//TD(r,T) = b*v/(a-v)
	double TD = 0.0;
	return TD = SDDkonstB * vberechnung(TauTemperatur, TauRelLuftfeuchte) / ( SDDkonstA - vberechnung(TauTemperatur, TauRelLuftfeuchte));
}






double TemperaturBerechnung(int TemperaturADwertxx)
{


	return gemesseneSpannung = (double) TemperaturADwertxx / 5;


}











